diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/about.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/about.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/about.php	2013-08-01 11:17:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/about.php	2013-09-11 14:08:03.000000000 -0500
***************
*** 33,38 ****
--- 33,46 ----
  	</a>
  </h2>
  
+ <div class="changelog point-releases">
+ 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 1 ); ?></h3>
+ 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
+          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 13 ), '3.6.1', number_format_i18n( 13 ) ); ?>
+ 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.6.1' ); ?>
+  	</p>
+ </div>
+ 
  <div class="changelog">
  	<h3><?php _e( 'Colorful New Theme' ); ?></h3>
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/post.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/post.php	2013-07-29 14:48:46.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/post.php	2013-09-10 13:42:03.000000000 -0500
***************
*** 52,59 ****
  	if ( isset($post_data['trackback_url']) )
  		$post_data['to_ping'] = $post_data['trackback_url'];
  
! 	if ( !isset($post_data['user_ID']) )
! 		$post_data['user_ID'] = $GLOBALS['user_ID'];
  
  	if (!empty ( $post_data['post_author_override'] ) ) {
  		$post_data['post_author'] = (int) $post_data['post_author_override'];
--- 52,58 ----
  	if ( isset($post_data['trackback_url']) )
  		$post_data['to_ping'] = $post_data['trackback_url'];
  
! 	$post_data['user_ID'] = $GLOBALS['user_ID'];
  
  	if (!empty ( $post_data['post_author_override'] ) ) {
  		$post_data['post_author'] = (int) $post_data['post_author_override'];
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/template.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/template.php	2013-07-29 01:44:52.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/template.php	2013-08-24 17:37:04.000000000 -0500
***************
*** 1811,1817 ****
  			});
  
  			setup = function() {
! 				$('<?php echo $selector; ?>').pointer( options ).pointer('open');
  			};
  
  			if ( options.position && options.position.defer_loading )
--- 1811,1817 ----
  			});
  
  			setup = function() {
! 				$('<?php echo $selector; ?>').first().pointer( options ).pointer('open');
  			};
  
  			if ( options.position && options.position.defer_loading )
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/update-core.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/update-core.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/update-core.php	2013-08-01 08:30:24.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/update-core.php	2013-08-07 13:05:02.000000000 -0500
***************
*** 554,559 ****
--- 554,563 ----
  // 3.6
  'wp-admin/js/revisions-js.php',
  'wp-admin/images/screenshots',
+ 'wp-admin/js/categories.js',
+ 'wp-admin/js/categories.min.js',
+ 'wp-admin/js/custom-fields.js',
+ 'wp-admin/js/custom-fields.min.js',
  );
  
  /**
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/common.js /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/common.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/js/common.js	2013-07-09 16:26:32.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/common.js	2013-08-30 12:06:04.000000000 -0500
***************
*** 185,199 ****
  			if ( body.hasClass('auto-fold') ) {
  				body.removeClass('auto-fold').removeClass('folded');
  				setUserSetting('unfold', 1);
! 				deleteUserSetting('mfold');
  			} else {
  				body.addClass('auto-fold');
! 				deleteUserSetting('unfold');
  			}
  		} else {
  			if ( body.hasClass('folded') ) {
  				body.removeClass('folded');
! 				deleteUserSetting('mfold');
  			} else {
  				body.addClass('folded');
  				setUserSetting('mfold', 'f');
--- 185,199 ----
  			if ( body.hasClass('auto-fold') ) {
  				body.removeClass('auto-fold').removeClass('folded');
  				setUserSetting('unfold', 1);
! 				setUserSetting('mfold', 'o');
  			} else {
  				body.addClass('auto-fold');
! 				setUserSetting('unfold', 0);
  			}
  		} else {
  			if ( body.hasClass('folded') ) {
  				body.removeClass('folded');
! 				setUserSetting('mfold', 'o');
  			} else {
  				body.addClass('folded');
  				setUserSetting('mfold', 'f');
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/nav-menus.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/nav-menus.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/nav-menus.php	2013-07-12 13:16:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/nav-menus.php	2013-09-04 12:39:03.000000000 -0500
***************
*** 300,317 ****
  						// If there are menu items, add them
  						wp_nav_menu_update_menu_items( $nav_menu_selected_id, $nav_menu_selected_title );
  						// Auto-save nav_menu_locations
! 						$locations = get_theme_mod( 'nav_menu_locations' );
! 						foreach ( (array) $locations as $location => $menu_id ) {
  								$locations[ $location ] = $nav_menu_selected_id;
  								break; // There should only be 1
  						}
  						set_theme_mod( 'nav_menu_locations', $locations );
  					}
  					if ( isset( $_REQUEST['use-location'] ) ) {
! 						$locations = get_theme_mod( 'nav_menu_locations' );
! 						if ( isset( $locations[$_REQUEST['use-location']] ) )
! 							$locations[$_REQUEST['use-location']] = $nav_menu_selected_id;
! 						set_theme_mod( 'nav_menu_locations', $locations );
  					}
  					// $messages[] = '<div id="message" class="updated"><p>' . sprintf( __( '<strong>%s</strong> has been created.' ), $nav_menu_selected_title ) . '</p></div>';
  					wp_redirect( admin_url( 'nav-menus.php?menu=' . $_nav_menu_selected_id ) );
--- 300,318 ----
  						// If there are menu items, add them
  						wp_nav_menu_update_menu_items( $nav_menu_selected_id, $nav_menu_selected_title );
  						// Auto-save nav_menu_locations
! 						$locations = get_nav_menu_locations();
! 						foreach ( $locations as $location => $menu_id ) {
  								$locations[ $location ] = $nav_menu_selected_id;
  								break; // There should only be 1
  						}
  						set_theme_mod( 'nav_menu_locations', $locations );
  					}
  					if ( isset( $_REQUEST['use-location'] ) ) {
! 						$locations = get_registered_nav_menus();
! 						$menu_locations = get_nav_menu_locations();
! 						if ( isset( $locations[ $_REQUEST['use-location'] ] ) )
! 							$menu_locations[ $_REQUEST['use-location'] ] = $nav_menu_selected_id;
! 						set_theme_mod( 'nav_menu_locations', $menu_locations );
  					}
  					// $messages[] = '<div id="message" class="updated"><p>' . sprintf( __( '<strong>%s</strong> has been created.' ), $nav_menu_selected_title ) . '</p></div>';
  					wp_redirect( admin_url( 'nav-menus.php?menu=' . $_nav_menu_selected_id ) );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/upgrade.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/network/upgrade.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/network/upgrade.php	2013-03-05 11:02:31.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/network/upgrade.php	2013-08-30 19:59:03.000000000 -0500
***************
*** 84,92 ****
--- 84,95 ----
  	break;
  	case 'show':
  	default:
+ 		if ( get_site_option( 'wpmu_upgrade_site' ) != $GLOBALS['wp_db_version'] ) :
  		?>
  		<h3><?php _e( 'Database Upgrade Required' ); ?></h3>
  		<p><?php _e( 'WordPress has been updated! Before we send you on your way, we need to individually upgrade the sites in your network.' ); ?></p>
+ 		<?php endif; ?>
+ 
  		<p><?php _e( 'The upgrade process may take a little while, so please be patient.' ); ?></p>
  		<p><a class="button" href="upgrade.php?action=upgrade"><?php _e( 'Upgrade Network' ); ?></a></p>
  		<?php
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/class-http.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-http.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/class-http.php	2013-07-30 13:41:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-http.php	2013-08-18 03:22:03.000000000 -0500
***************
*** 1302,1307 ****
--- 1302,1312 ----
  	 * @return int
  	 */
  	private function stream_body( $handle, $data ) {
+ 		if ( function_exists( 'ini_get' ) && ( ini_get( 'mbstring.func_overload' ) & 2 ) && function_exists( 'mb_internal_encoding' ) ) {
+ 			$mb_encoding = mb_internal_encoding();
+ 			mb_internal_encoding( 'ISO-8859-1' );
+ 		}
+ 
  		if ( $this->max_body_length && ( strlen( $this->body ) + strlen( $data ) ) > $this->max_body_length )
  			$data = substr( $data, 0, ( $this->max_body_length - strlen( $this->body ) ) );
  
***************
*** 1310,1316 ****
  		else
  			$this->body .= $data;
  
! 		return strlen( $data );
  	}
  
  	/**
--- 1315,1326 ----
  		else
  			$this->body .= $data;
  
! 		$data_length = strlen( $data );
! 
! 		if ( isset( $mb_encoding ) )
! 			mb_internal_encoding( $mb_encoding );
! 
! 		return $data_length;
  	}
  
  	/**
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/comment-template.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/comment-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/comment-template.php	2013-07-05 16:59:10.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/comment-template.php	2013-08-28 00:28:12.000000000 -0500
***************
*** 1606,1611 ****
--- 1606,1612 ----
  	$user = wp_get_current_user();
  	$user_identity = $user->exists() ? $user->display_name : '';
  
+ 	$args = wp_parse_args( $args );
  	if ( ! isset( $args['format'] ) )
  		$args['format'] = current_theme_supports( 'html5', 'comment-form' ) ? 'html5' : 'xhtml';
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/functions.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/functions.php	2013-07-31 01:53:06.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/functions.php	2013-09-10 23:50:02.000000000 -0500
***************
*** 242,250 ****
   * @since 2.0.5
   *
   * @param mixed $data Value to check to see if was serialized.
   * @return bool False if not serialized and true if it was.
   */
! function is_serialized( $data ) {
  	// if it isn't a string, it isn't serialized
  	if ( ! is_string( $data ) )
  		return false;
--- 242,251 ----
   * @since 2.0.5
   *
   * @param mixed $data Value to check to see if was serialized.
+  * @param bool $strict Optional. Whether to be strict about the end of the string. Defaults true.
   * @return bool False if not serialized and true if it was.
   */
! function is_serialized( $data, $strict = true ) {
  	// if it isn't a string, it isn't serialized
  	if ( ! is_string( $data ) )
  		return false;
***************
*** 256,276 ****
  		return false;
  	if ( ':' !== $data[1] )
  		return false;
! 	$lastc = $data[$length-1];
! 	if ( ';' !== $lastc && '}' !== $lastc )
! 		return false;
  	$token = $data[0];
  	switch ( $token ) {
  		case 's' :
! 			if ( '"' !== $data[$length-2] )
  				return false;
  		case 'a' :
  		case 'O' :
  			return (bool) preg_match( "/^{$token}:[0-9]+:/s", $data );
  		case 'b' :
  		case 'i' :
  		case 'd' :
! 			return (bool) preg_match( "/^{$token}:[0-9.E-]+;\$/", $data );
  	}
  	return false;
  }
--- 257,295 ----
  		return false;
  	if ( ':' !== $data[1] )
  		return false;
! 	if ( $strict ) {
! 		$lastc = $data[ $length - 1 ];
! 		if ( ';' !== $lastc && '}' !== $lastc )
! 			return false;
! 	} else {
! 		$semicolon = strpos( $data, ';' );
! 		$brace     = strpos( $data, '}' );
! 		// Either ; or } must exist.
! 		if ( false === $semicolon && false === $brace )
! 			return false;
! 		// But neither must be in the first X characters.
! 		if ( false !== $semicolon && $semicolon < 3 )
! 			return false;
! 		if ( false !== $brace && $brace < 4 )
! 			return false;
! 	}
  	$token = $data[0];
  	switch ( $token ) {
  		case 's' :
! 			if ( $strict ) {
! 				if ( '"' !== $data[ $length - 2 ] )
! 					return false;
! 			} elseif ( false === strpos( $data, '"' ) ) {
  				return false;
+ 			}
  		case 'a' :
  		case 'O' :
  			return (bool) preg_match( "/^{$token}:[0-9]+:/s", $data );
  		case 'b' :
  		case 'i' :
  		case 'd' :
! 			$end = $strict ? '$' : '';
! 			return (bool) preg_match( "/^{$token}:[0-9.E-]+;$end/", $data );
  	}
  	return false;
  }
***************
*** 317,323 ****
  
  	// Double serialization is required for backward compatibility.
  	// See http://core.trac.wordpress.org/ticket/12930
! 	if ( is_serialized( $data ) )
  		return serialize( $data );
  
  	return $data;
--- 336,342 ----
  
  	// Double serialization is required for backward compatibility.
  	// See http://core.trac.wordpress.org/ticket/12930
! 	if ( is_serialized( $data, false ) )
  		return serialize( $data );
  
  	return $data;
***************
*** 1283,1289 ****
  		$ref = wp_unslash( $_SERVER['HTTP_REFERER'] );
  
  	if ( $ref && $ref !== wp_unslash( $_SERVER['REQUEST_URI'] ) )
! 		return wp_unslash( $ref );
  	return false;
  }
  
--- 1302,1308 ----
  		$ref = wp_unslash( $_SERVER['HTTP_REFERER'] );
  
  	if ( $ref && $ref !== wp_unslash( $_SERVER['REQUEST_URI'] ) )
! 		return wp_validate_redirect( $ref, false );
  	return false;
  }
  
***************
*** 1298,1304 ****
   */
  function wp_get_original_referer() {
  	if ( !empty( $_REQUEST['_wp_original_http_referer'] ) )
! 		return wp_unslash( $_REQUEST['_wp_original_http_referer'] );
  	return false;
  }
  
--- 1317,1323 ----
   */
  function wp_get_original_referer() {
  	if ( !empty( $_REQUEST['_wp_original_http_referer'] ) )
! 		return wp_validate_redirect( wp_unslash( $_REQUEST['_wp_original_http_referer'] ), false );
  	return false;
  }
  
***************
*** 2006,2015 ****
   * @uses apply_filters() Calls 'upload_mimes' on returned array
   * @uses wp_get_upload_mime_types() to fetch the list of mime types
   *
   * @return array Array of mime types keyed by the file extension regex corresponding to those types.
   */
! function get_allowed_mime_types() {
! 	return apply_filters( 'upload_mimes', wp_get_mime_types() );
  }
  
  /**
--- 2025,2044 ----
   * @uses apply_filters() Calls 'upload_mimes' on returned array
   * @uses wp_get_upload_mime_types() to fetch the list of mime types
   *
+  * @param int|WP_User $user Optional. User to check. Defaults to current user.
   * @return array Array of mime types keyed by the file extension regex corresponding to those types.
   */
! function get_allowed_mime_types( $user = null ) {
! 	$t = wp_get_mime_types();
! 
! 	unset( $t['swf'], $t['exe'] );
! 	if ( function_exists( 'current_user_can' ) )
! 		$unfiltered = $user ? user_can( $user, 'unfiltered_html' ) : current_user_can( 'unfiltered_html' );
! 
! 	if ( empty( $unfiltered ) )
! 		unset( $t['htm|html'] );
! 
! 	return apply_filters( 'upload_mimes', $t, $user );
  }
  
  /**
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/link-template.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/link-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/link-template.php	2013-08-01 08:18:01.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/link-template.php	2013-09-10 23:00:03.000000000 -0500
***************
*** 2238,2247 ****
  			$scheme = ( is_ssl() ? 'https' : 'http' );
  	}
  
! 	if ( 'relative' == $scheme )
! 		$url = preg_replace( '#^.+://[^/]*#', '', $url );
! 	else
! 		$url = preg_replace( '#^.+://#', $scheme . '://', $url );
  
  	return apply_filters( 'set_url_scheme', $url, $scheme, $orig_scheme );
  }
--- 2238,2254 ----
  			$scheme = ( is_ssl() ? 'https' : 'http' );
  	}
  
! 	$url = trim( $url );
! 	if ( substr( $url, 0, 2 ) === '//' )
! 		$url = 'http:' . $url;
! 
! 	if ( 'relative' == $scheme ) {
! 		$url = ltrim( preg_replace( '#^\w+://[^/]*#', '', $url ) );
! 		if ( $url !== '' && $url[0] === '/' )
! 			$url = '/' . ltrim($url , "/ \t\n\r\0\x0B" );
! 	} else {
! 		$url = preg_replace( '#^\w+://#', $scheme . '://', $url );
! 	}
  
  	return apply_filters( 'set_url_scheme', $url, $scheme, $orig_scheme );
  }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/ms-functions.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/ms-functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/ms-functions.php	2013-05-01 13:39:56.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/ms-functions.php	2013-08-30 23:37:03.000000000 -0500
***************
*** 378,384 ****
  	$is_email_address_unsafe = false;
  
  	if ( $banned_names && is_array( $banned_names ) ) {
! 		list( $email_local_part, $email_domain ) = explode( '@', $user_email );
  
  		foreach ( $banned_names as $banned_domain ) {
  			if ( ! $banned_domain )
--- 378,387 ----
  	$is_email_address_unsafe = false;
  
  	if ( $banned_names && is_array( $banned_names ) ) {
! 		$banned_names = array_map( 'strtolower', $banned_names );
! 		$normalized_email = strtolower( $user_email );
! 
! 		list( $email_local_part, $email_domain ) = explode( '@', $normalized_email );
  
  		foreach ( $banned_names as $banned_domain ) {
  			if ( ! $banned_domain )
***************
*** 390,396 ****
  			}
  
  			$dotted_domain = ".$banned_domain";
! 			if ( $dotted_domain === substr( $user_email, -strlen( $dotted_domain ) ) ) {
  				$is_email_address_unsafe = true;
  				break;
  			}
--- 393,399 ----
  			}
  
  			$dotted_domain = ".$banned_domain";
! 			if ( $dotted_domain === substr( $normalized_email, -strlen( $dotted_domain ) ) ) {
  				$is_email_address_unsafe = true;
  				break;
  			}
***************
*** 898,907 ****
  	if ( is_wp_error( $user_id ) )
  		return false;
  
- 	$user = new WP_User( $user_id );
- 
  	// Newly created users have no roles or caps until they are added to a blog.
! 	delete_user_option( $user_id, $user->cap_key );
  	delete_user_option( $user_id, 'user_level' );
  
  	do_action( 'wpmu_new_user', $user_id );
--- 901,908 ----
  	if ( is_wp_error( $user_id ) )
  		return false;
  
  	// Newly created users have no roles or caps until they are added to a blog.
! 	delete_user_option( $user_id, 'capabilities' );
  	delete_user_option( $user_id, 'user_level' );
  
  	do_action( 'wpmu_new_user', $user_id );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/pluggable.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/pluggable.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/pluggable.php	2013-07-10 17:01:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/pluggable.php	2013-09-10 13:43:03.000000000 -0500
***************
*** 942,947 ****
--- 942,948 ----
   * @return string redirect-sanitized URL
   **/
  function wp_validate_redirect($location, $default = '') {
+ 	$location = trim( $location );
  	// browsers will assume 'http' is your protocol, and will obey a redirect to a URL starting with '//'
  	if ( substr($location, 0, 2) == '//' )
  		$location = 'http:' . $location;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/post-template.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/post-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/post-template.php	2013-07-23 11:05:40.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/post-template.php	2013-09-04 12:40:02.000000000 -0500
***************
*** 1428,1458 ****
  
  	echo "<ul class='post-revisions hide-if-no-js'>\n";
  	echo $rows;
! 
! 	// if the post was previously restored from a revision
! 	// show the restore event details
! 	if ( $restored_from_meta = get_post_meta( $post->ID, '_post_restored_from', true ) ) {
! 		$author = get_user_by( 'id', $restored_from_meta[ 'restored_by_user' ] );
! 		/* translators: revision date format, see http://php.net/date */
! 		$datef = _x( 'j F, Y @ G:i:s', 'revision date format');
! 		$date = date_i18n( $datef, strtotime( $restored_from_meta[ 'restored_time' ] ) );
! 		$time_diff = human_time_diff( $restored_from_meta[ 'restored_time' ] ) ;
! 		?>
! 		<hr />
! 		<div id="revisions-meta-restored">
! 			<?php
! 			printf(
! 				/* translators: restored revision details: 1: gravatar image, 2: author name, 3: time ago, 4: date */
! 				__( 'Previously restored by %1$s %2$s, %3$s ago (%4$s)' ),
! 				get_avatar( $author->ID, 24 ),
! 				$author->display_name,
! 				$time_diff,
! 				$date
! 			);
! 			?>
! 		</div>
! 		<?php
! 		echo "</ul>";
! 	}
! 
  }
--- 1428,1432 ----
  
  	echo "<ul class='post-revisions hide-if-no-js'>\n";
  	echo $rows;
! 	echo "</ul>";
  }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/theme.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/theme.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/theme.php	2013-05-30 12:55:14.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/theme.php	2013-09-04 12:47:03.000000000 -0500
***************
*** 1264,1269 ****
--- 1264,1283 ----
  				$args[0] = array_intersect( $args[0], array_keys( get_post_format_slugs() ) );
  			break;
  
+ 		case 'html5' :
+ 			// You can't just pass 'html5', you need to pass an array of types.
+ 			if ( empty( $args[0] ) ) {
+ 				$args = array( 0 => array( 'comment-list', 'comment-form', 'search-form' ) );
+ 			} elseif ( ! is_array( $args[0] ) ) {
+ 				_doing_it_wrong( "add_theme_support( 'html5' )", 'You need to pass an array of types.', '3.6.1' );
+ 				return false;
+ 			}
+ 
+ 			// Calling 'html5' again merges, rather than overwrites.
+ 			if ( isset( $_wp_theme_features['html5'] ) )
+ 				$args[0] = array_merge( $_wp_theme_features['html5'][0], $args[0] );
+ 			break;
+ 
  		case 'custom-header-uploads' :
  			return add_theme_support( 'custom-header', array( 'uploads' => true ) );
  			break;
***************
*** 1547,1557 ****
  			return in_array( $content_type, $_wp_theme_features[$feature][0] );
  			break;
  
  		case 'post-formats':
  			// specific post formats can be registered by passing an array of types to
  			// add_theme_support()
! 			$post_format = $args[0];
! 			return in_array( $post_format, $_wp_theme_features[$feature][0] );
  			break;
  
  		case 'custom-header':
--- 1561,1575 ----
  			return in_array( $content_type, $_wp_theme_features[$feature][0] );
  			break;
  
+ 		case 'html5':
  		case 'post-formats':
  			// specific post formats can be registered by passing an array of types to
  			// add_theme_support()
! 
! 			// Specific areas of HTML5 support *must* be passed via an array to add_theme_support()
! 
! 			$type = $args[0];
! 			return in_array( $type, $_wp_theme_features[$feature][0] );
  			break;
  
  		case 'custom-header':
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.1.pl /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/version.php /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/version.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/version.php	2013-08-01 15:22:43.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/version.php	2013-09-11 14:13:02.000000000 -0500
***************
*** 4,10 ****
   *
   * @global string $wp_version
   */
! $wp_version = '3.6';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
--- 4,10 ----
   *
   * @global string $wp_version
   */
! $wp_version = '3.6.1';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
***************
*** 18,24 ****
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '358-24485';
  
  /**
   * Holds the required PHP version
--- 18,24 ----
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '358-25336';
  
  /**
   * Holds the required PHP version
